/* custom properties */

:root {

    --gray-darker : color(#000 whiteness(13.5%)); /*// #222*/
    --gray-dark : color(#000 whiteness(20%)); /*// #333*/
    --gray : color(#000 whiteness(33.5%)); /*// #555*/
    --gray-light : color(#000 whiteness(60%)); /*// #999*/
    --gray-lighter : color(#000 whiteness(93.5%)); /*// #eee*/

    --brand-primary : #428bca;
    --brand-success : #5cb85c;
    --brand-info : #5bc0de;
    --brand-warning : #f0ad4e;
    --brand-danger : #d9534f;

    --body-bg : #fff;
    --text-color : var(--gray-dark);
    --link-color : var(--brand-primary);
    --link-hover-color : color(var(--link-color) blackness(15%));

    --mainFont : Helvetica, Arial, sans-serif;
    --titleFont : Helvetica, Arial, sans-serif;

    --titleFontLoaded : "Poppins";
    --mainFontLoaded : 'Source Sans Pro';

    --fontWeight-xbold : 600;
    --fontWeight-bold : 600;
    --fontWeight-semibold : 600;
    --fontWeight-med : 400;
    --fontWeight-nrm : 400;
    --fontWeight-thin : 400;

    --font-family-monospace : Menlo, Monaco, Consolas, "Courier New", monospace;
    --font-family-base : var(--mainFont);

    --font-size-base : 14px;
    --font-size-large : calc((var(--font-size-base) * 1.25)); /*// ~18px*/
    --font-size-small : calc((var(--font-size-base) * 0.85)); /*// ~12px*/

    --font-size-h1 : calc((var(--font-size-base) * 2.6)); /*// ~36px*/
    --font-size-h2 : calc((var(--font-size-base) * 2.15)); /*// ~30px*/
    --font-size-h3 : calc((var(--font-size-base) * 1.7)); /*// ~24px*/
    --font-size-h4 : calc((var(--font-size-base) * 1.25)); /*// ~18px*/
    --font-size-h5 : var(--font-size-base);
    --font-size-h6 : calc((var(--font-size-base) * 0.85)); /*// ~12px*/

    --fontSize-1 : 42px;
    --fontSize-2 : 24px;
    --fontSize-3 : 20px;
    --fontSize-4 : 18px;
    --fontSize-5 : 16px;
    --fontSize-6 : 14px;
    --fontSize-7 : 12px;
    --fontSize-article-head : 36px;


    --line-height-base : 1.428571429; /*// 20/14*/
    --line-height-computed : calc((var(--font-size-base) * var(--line-height-base))); /*// ~20px*/

    --headings-font-weight : 500;
    --headings-line-height : 1.1;
    --headings-color : inherit;

    --icon-font-path : "../fonts/";
    --icon-font-name : "glyphicons-halflings-regular";
    --icon-font-svg-id : "glyphicons_halflingsregular";

    --padding-base-vertical : 6px;
    --padding-base-horizontal : 12px;

    --padding-large-horizontal : 16px;
    --padding-small-horizontal : 10px;

    --padding-xs-vertical : 1px;
    --padding-xs-horizontal : 5px;

    --margin-xs : 5px;
    --margin-sm : 10px;
    --margin-md : 15px;
    --margin-lg : 30px;
    --margin-xl : 50px;

    --borderRound : 50%;

    // Ratios
    --ratio-4-3 : 75.20%;
    --ratio-16-8 : 49.72%;
    --ratio-16-9 : 59.39%;
    --ratio-16-5 : 31.46%;

    // Margin
    --grid-gutter-width : 30px;

    --padding-large-vertical : var(--margin-lg);
    --padding-medium-vertical : var(--margin-md);
    --padding-small-vertical : var(--margin-xs);

    --tooltip-bg : rgba(0,0,0,.7);

    --line-height-large : 1.33;
    --line-height-small : 1.5;

    --border-radius-base : 4px;
    --border-radius-large : 6px;
    --border-radius-small : 3px;

    --component-active-color : #fff;
    --component-active-bg : var(--brand-primary);

    --caret-width-base : 4px;
    --caret-width-large : 5px;

    --table-cell-padding : 8px;
    --table-condensed-cell-padding : 5px;

    --table-bg : transparent;
    --table-bg-accent : #f9f9f9;
    --table-bg-hover : #f5f5f5;
    --table-bg-active : var(--table-bg-hover);

    --table-border-color : #ddd;

    --btn-font-weight : normal;

    --btn-default-color : #333;
    --btn-default-bg : #fff;
    --btn-default-border : #ccc;

    --btn-primary-color : #fff;
    --btn-primary-bg : var(--brand-primary);
    --btn-primary-border : color(var(--btn-primary-bg) blackness(5%));

    --btn-success-color : #fff;
    --btn-success-bg : var(--brand-success);
    --btn-success-border : color(var(--btn-success-bg) blackness(5%));

    --btn-info-color : #fff;
    --btn-info-bg : --brand-info;
    --btn-info-border : color(var(--btn-info-bg) blackness(5%));

    --btn-warning-color : #fff;
    --btn-warning-bg : var(--brand-warning);
    --btn-warning-border : color(var(--btn-warning-bg) blackness(5%));

    --btn-danger-color : #fff;
    --btn-danger-bg : var(--brand-danger);
    --btn-danger-border : color(var(--btn-danger-bg) blackness(5%));

    --btn-link-disabled-color : var(--gray-light);



    --input-bg : #fff;
    --input-bg-disabled : var(--gray-lighter);

    --input-color : var(--gray);
    --input-border : #ccc;
    --input-border-radius : var(--border-radius-base);
    --input-border-focus : #66afe9;

    --input-color-placeholder : var(--gray-light);

    --input-height-base : calc(var(--line-height-computed) + (var(--padding-base-vertical) * 2) + 2);
    --input-height-large : calc(calc(var(--font-size-large) * var(--line-height-large)) + (var(--padding-large-vertical) * 2) + 2);
    --input-height-small : calc(calc(var(--font-size-small) * var(--line-height-small)) + (var(--padding-small-vertical) * 2) + 2);

    --legend-color : var(--gray-dark);
    --legend-border-color : #e5e5e5;

    --input-group-addon-bg : var(--gray-lighter);
    --input-group-addon-border-color : var(--input-border);

    --dropdown-bg : #fff;
    --dropdown-border : rgba(0, 0, 0, .15);
    --dropdown-fallback-border : #ccc;
    --dropdown-divider-bg : #e5e5e5;

    --dropdown-link-color : var(--gray-dark);
    --dropdown-link-hover-color : color(var(--gray-dark) blackness(5%));
    --dropdown-link-hover-bg : #f5f5f5;

    --dropdown-link-active-color : var(--component-active-color);
    --dropdown-link-active-bg : var(--component-active-bg);

    --dropdown-link-disabled-color : var(--gray-light);

    --dropdown-header-color : var(--gray-light);

    --dropdown-caret-color : #000;

    --zindex-navbar : 1000;
    --zindex-dropdown : 1000;
    --zindex-popover : 1010;
    --zindex-tooltip : 1030;
    --zindex-navbar-fixed : 1030;
    --zindex-modal-background : 1040;
    --zindex-modal : 1050;


    --screen-xs : 480px;
    --screen-xs-min : var(--screen-xs);
    --screen-phone : var(--screen-xs-min);

    --screen-sm : 768px;
    --screen-sm-min : var(--screen-sm);
    --screen-tablet : var(--screen-sm-min);

    --screen-md : 992px;
    --screen-md-min : var(--screen-md);
    --screen-desktop : var(--screen-md-min);

    --screen-lg : 1200px;
    --screen-lg-min : var(--screen-lg);
    --screen-lg-desktop : var(--screen-lg-min);

    --screen-xs-max : calc(var(--screen-sm-min) - 1);
    --screen-sm-max : calc(var(--screen-md-min) - 1);
    --screen-md-max : calc(var(--screen-lg-min) - 1);


    --grid-columns : 12;
    --grid-gutter-width : 30px;
    --grid-float-breakpoint : var(--screen-sm-min);
    --grid-float-breakpoint-max : calc(var(--grid-float-breakpoint) - 1);

    --container-tablet : calc((720px + var(--grid-gutter-width)));
    --container-sm : var(--container-tablet);

    --container-desktop : calc((940px + var(--grid-gutter-width)));
    --container-md : var(--container-desktop);

    --container-large-desktop : calc((1140px + var(--grid-gutter-width)));
    --container-lg : var(--container-large-desktop);

    --navbar-height : 50px;
    --navbar-margin-bottom : var(--line-height-computed);
    --navbar-border-radius : var(--border-radius-base);
    --navbar-padding-horizontal : calc((var(--grid-gutter-width) / 2));
    --navbar-padding-vertical : calc((var(--navbar-height) - var(--line-height-computed)) / 2);
    --navbar-collapse-max-height : 340px;

    --navbar-default-color : #777;
    --navbar-default-bg : #f8f8f8;
    --navbar-default-border : color(var(--navbar-default-bg) blackness(6.5%));

    --navbar-default-link-color : #777;
    --navbar-default-link-hover-color : #333;
    --navbar-default-link-hover-bg : transparent;
    --navbar-default-link-active-color : #555;
    --navbar-default-link-active-bg : color(var(--navbar-default-bg) blackness(6.5%));
    --navbar-default-link-disabled-color : #ccc;
    --navbar-default-link-disabled-bg : transparent;

    --navbar-default-brand-color : var(--navbar-default-link-color);
    --navbar-default-brand-hover-color : color(var(--navbar-default-link-color) blackness(10%));
    --navbar-default-brand-hover-bg : transparent;

    --navbar-default-toggle-hover-bg : #ddd;
    --navbar-default-toggle-icon-bar-bg : #ccc;
    --navbar-default-toggle-border-color : #ddd;

    --navbar-inverse-color : var(--gray-light);
    --navbar-inverse-bg : #222;
    --navbar-inverse-border : color(var(--navbar-inverse-bg) blackness(10%));

    --navbar-inverse-link-color : var(--gray-light);
    --navbar-inverse-link-hover-color : #fff;
    --navbar-inverse-link-hover-bg : transparent;
    --navbar-inverse-link-active-color : var(--navbar-inverse-link-hover-color);
    --navbar-inverse-link-active-bg : color(var(--navbar-inverse-bg) blackness(10%));
    --navbar-inverse-link-disabled-color : #444;
    --navbar-inverse-link-disabled-bg : transparent;

    --navbar-inverse-brand-color : var(--navbar-inverse-link-color);
    --navbar-inverse-brand-hover-color : #fff;
    --navbar-inverse-brand-hover-bg : transparent;

    --navbar-inverse-toggle-hover-bg : #333;
    --navbar-inverse-toggle-icon-bar-bg : #fff;
    --navbar-inverse-toggle-border-color : #333;

    --nav-link-padding : 10px 15px;
    --nav-link-hover-bg : var(--gray-lighter);

    --nav-disabled-link-color : var(--gray-light);
    --nav-disabled-link-hover-color : var(--gray-light);

    --nav-open-link-hover-color : #fff;

    --nav-tabs-border-color : #ddd;

    --nav-tabs-link-hover-border-color : var(--gray-lighter);

    --nav-tabs-active-link-hover-bg : var(--body-bg);
    --nav-tabs-active-link-hover-color : var(--gray);
    --nav-tabs-active-link-hover-border-color : #ddd;

    --nav-tabs-justified-link-border-color : #ddd;
    --nav-tabs-justified-active-link-border-color : var(--body-bg);

    --nav-pills-border-radius : var(--border-radius-base);
    --nav-pills-active-link-hover-bg : var(--component-active-bg);
    --nav-pills-active-link-hover-color : var(--component-active-color);

    --pagination-color : var(--link-color);
    --pagination-bg : #fff;
    --pagination-border : #ddd;

    --pagination-hover-color : var(--link-hover-color);
    --pagination-hover-bg : var(--gray-lighter);
    --pagination-hover-border : #ddd;

    --pagination-active-color : #fff;
    --pagination-active-bg : var(--brand-primary);
    --pagination-active-border : var(--brand-primary);

    --pagination-disabled-color : var(--gray-light);
    --pagination-disabled-bg : #fff;
    --pagination-disabled-border : #ddd;

    --pager-bg : var(--pagination-bg);
    --pager-border : var(--pagination-border);
    --pager-border-radius : 15px;

    --pager-hover-bg : var(--pagination-hover-bg);

    --pager-active-bg : var(--pagination-active-bg);
    --pager-active-color : var(--pagination-active-color);

    --pager-disabled-color : var(--pagination-disabled-color);

    --jumbotron-padding : 30px;
    --jumbotron-color : inherit;
    --jumbotron-bg : var(--gray-lighter);
    --jumbotron-heading-color : inherit;
    --jumbotron-font-size : calc((var(--font-size-base) * 1.5));

    --state-success-text : #3c763d;
    --state-success-bg : #dff0d8;
    --state-success-border : color(color(var(--state-success-bg) hue(-10)) blackness(5%));

    --state-info-text : #31708f;
    --state-info-bg : #d9edf7;
    --state-info-border : color(color(var(--state-info-bg) hue(-10)) blackness(7%));

    --state-warning-text : #8a6d3b;
    --state-warning-bg : #fcf8e3;
    --state-warning-border : color(color(var(--state-warning-bg) hue(-10)) blackness(5%));

    --state-danger-text : #a94442;
    --state-danger-bg : #f2dede;
    --state-danger-border : color(color(var(--state-danger-bg) hue( -10)) blackness(5%));


    --tooltip-max-width : 200px;
    --tooltip-color : #fff;
    --tooltip-bg : #000;
    --tooltip-opacity : .9;

    --tooltip-arrow-width : 5px;
    --tooltip-arrow-color : var(--tooltip-bg);

    --popover-bg : #fff;
    --popover-max-width : 276px;
    --popover-border-color : rgba(0, 0, 0, .2);
    --popover-fallback-border-color : #ccc;

    --popover-title-bg : color(var(--popover-bg) blackness(3%));

    --popover-arrow-width : 10px;
    --popover-arrow-color : #fff;

    --popover-arrow-outer-width : calc(var(--popover-arrow-width) + 1);
    --popover-arrow-outer-color : rgba(0, 0, 0, .25);
    --popover-arrow-outer-fallback-color : #999;

    --label-default-bg : var(--gray-light);
    --label-primary-bg : var(--brand-primary);
    --label-success-bg : var(--brand-success);
    --label-info-bg : var(--brand-info);
    --label-warning-bg : var(--brand-warning);
    --label-danger-bg : var(--brand-danger);

    --label-color : #fff;
    --label-link-hover-color : #fff;

    --modal-inner-padding : 20px;

    --modal-title-padding : 15px;
    --modal-title-line-height : var(--line-height-base);

    --modal-content-bg : #fff;
    --modal-content-border-color : rgba(0, 0, 0, .2);
    --modal-content-fallback-border-color : #999;

    --modal-backdrop-bg : #000;
    --modal-backdrop-opacity : .5;
    --modal-header-border-color : #e5e5e5;
    --modal-footer-border-color : var(--modal-header-border-color);

    --modal-lg : 900px;
    --modal-md : 600px;
    --modal-sm : 300px;

    --alert-padding : 15px;
    --alert-border-radius : var(--border-radius-base);
    --alert-link-font-weight : bold;

    --alert-success-bg : var(--state-success-bg);
    --alert-success-text : var(--state-success-text);
    --alert-success-border : var(--state-success-border);

    --alert-info-bg : var(--state-info-bg);
    --alert-info-text : var(--state-info-text);
    --alert-info-border : var(--state-info-border);

    --alert-warning-bg : var(--state-warning-bg);
    --alert-warning-text : var(--state-warning-text);
    --alert-warning-border : var(--state-warning-border);

    --alert-danger-bg : var(--state-danger-bg);
    --alert-danger-text : var(--state-danger-text);
    --alert-danger-border : var(--state-danger-border);

    --progress-bg : #f5f5f5;
    --progress-bar-color : #fff;

    --progress-bar-bg : var(--brand-primary);
    --progress-bar-success-bg : var(--brand-success);
    --progress-bar-warning-bg : var(--brand-warning);
    --progress-bar-danger-bg : var(--brand-danger);
    --progress-bar-info-bg : var(--brand-info);

    --list-group-bg : #fff;
    --list-group-border : #ddd;
    --list-group-border-radius : var(--border-radius-base);

    --list-group-hover-bg : #f5f5f5;
    --list-group-active-color : var(--component-active-color);
    --list-group-active-bg : var(--component-active-bg);
    --list-group-active-border : var(--list-group-active-bg);
    --list-group-active-text-color : color(var(--list-group-active-bg) lightness(40%));

    --list-group-link-color : #555;
    --list-group-link-heading-color : #333;

    --panel-bg : #fff;
    --panel-body-padding : 15px;
    --panel-border-radius : var(--border-radius-base);

    --panel-inner-border : #ddd;
    --panel-footer-bg : #f5f5f5;

    --panel-default-text : var(--gray-dark);
    --panel-default-border : #ddd;
    --panel-default-heading-bg : #f5f5f5;

    --panel-primary-text : #fff;
    --panel-primary-border : var(--brand-primary);
    --panel-primary-heading-bg : var(--brand-primary);

    --panel-success-text : var(--state-success-text);
    --panel-success-border : var(--state-success-border);
    --panel-success-heading-bg : var(--state-success-bg);

    --panel-info-text : var(--state-info-text);
    --panel-info-border : var(--state-info-border);
    --panel-info-heading-bg : var(--state-info-bg);

    --panel-warning-text : var(--state-warning-text);
    --panel-warning-border : var(--state-warning-border);
    --panel-warning-heading-bg : var(--state-warning-bg);

    --panel-danger-text : var(--state-danger-text);
    --panel-danger-border : var(--state-danger-border);
    --panel-danger-heading-bg : var(--state-danger-bg);


    --thumbnail-padding : 4px;
    --thumbnail-bg : var(--body-bg);
    --thumbnail-border : #ddd;
    --thumbnail-border-radius : var(--border-radius-base);

    --thumbnail-caption-color : var(--text-color);
    --thumbnail-caption-padding : 9px;

    --well-bg : #f5f5f5;
    --well-border : color(var(--well-bg) blackness(7%));

    --badge-color : #fff;
    --badge-link-hover-color : #fff;
    --badge-bg : var(--gray-light);

    --badge-active-color : var(--link-color);
    --badge-active-bg : #fff;

    --badge-font-weight : bold;
    --badge-line-height : 1;
    --badge-border-radius : 10px;

    --breadcrumb-padding-vertical : 8px;
    --breadcrumb-padding-horizontal : 15px;
    --breadcrumb-bg : #f5f5f5;
    --breadcrumb-color : #ccc;
    --breadcrumb-active-color : var(--gray-light);
    --breadcrumb-separator : "/";

    --carousel-text-shadow : 0 1px 2px rgba(0, 0, 0, .6);

    --carousel-control-color : #fff;
    --carousel-control-width : 15%;
    --carousel-control-opacity : .5;
    --carousel-control-font-size : 20px;

    --carousel-indicator-active-bg : #fff;
    --carousel-indicator-border-color : #fff;

    --carousel-caption-color : #fff;

    --close-font-weight : bold;
    --close-color : #000;
    --close-text-shadow : 0 1px 0 #fff;

    --code-color : #c7254e;
    --code-bg : #f9f2f4;

    --kbd-color : #fff;
    --kbd-bg : #333;

    --pre-bg : #f5f5f5;
    --pre-color : var(--gray-dark);
    --pre-border-color : #ccc;
    --pre-scrollable-max-height : 340px;

    --text-muted : var(--gray-light);
    --abbr-border-color : var(--gray-light);
    --headings-small-color : var(--gray-light);
    --blockquote-small-color : var(--gray-light);
    --blockquote-border-color : var(--gray-lighter);
    --page-header-border-color : var(--gray-lighter);

    --hr-border : var(--gray-lighter);

    --component-offset-horizontal : 180px;

    /* Colour */
    --mainColor : #eb3a3a;
    --mainDarkerColor : #D33434;
    --altColor : #00b386; /*icons color*/
    --black : #000000;
    --white : #ffffff;
    --red : #eb3a3a;
    --colorAlpha : #f8f8f8;  /*grey 1*/
    --colorBeta : #f1f1f1;  /*grey 2*/
    --colorGamma : #dddddd;  /*grey 3*/
    --colorDelta : #a3a3a3;  /*grey 4*/
    --colorEpsilon : #222222;  /*grey 5*/
    --colorZeta : #888888; /* grey 6 */
    --btnAlphaColor : var(--colorDelta);
    --defaultBorder : var(--colorGamma);


    /* Mega-Brand colour */
    --leMag : #EC2E35;
    --leMagAlt : #ED5B46;
    --lesInfluenceues : #8A4686;
    --lesInfluenceuesAlt : #BC7FBE;
    --lesTesteuses : #FE9893;
    --lesTesteusesAlt : #BC8889;
    --lesVideos : #0E6D94;
    --lesVideosAlt : #86C7E4;
    --cuisineActuelle : #FF4269;

    --megaLtGrey : #c4c6ce;
    --megaCurrentSite : var(--leMagAlt);
    --megaBg : var(--body-bg);

    /* Social colour */
    --facebook : #3C5A96;
    --instagram : #C13584;
    --google-plus : #DC4335;
    --link : #50BAE3;
    --pinterest : #C13584;
    --twitter : #1A86B7;
    --print : #EE6492;

    --twitter-color : var(--twitter);
    --facebook-color : var(--facebook);
    --pinterest-color : var(--pinterest);
    --google-plus-color : var(--google-plus);

    /* Border-radius*/
    --borderRadius-sm : 3px;
    --borderRadius-md : 5px;
    --borderButton : var(--borderRadius-md);

    /* jCarousel */
    --borderRadiusCarousel-alpha : var(--borderRadius-sm);
    --borderRadiusCarousel-beta : 10px;
    --CarouselButton-alpha : 30px;
    --CarouselButton-beta : 70px;

    --lineHeight-1 : 24px;

    /* Helpers (custom properties version)
       ---------------------------------------------------------------------- */
    --clearfix: {
        &:before, &:after {
            content: " ";
            display: table;
        }

        &:after {
            clear: both;
        }
    };
}



/*  Custom media queries
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */

@custom-media --media-min-phone (min-width: 480px);
@custom-media --media-min-tablet (min-width: 768px);
@custom-media --media-min-desktop (min-width: 992px);
@custom-media --media-min-lg-desktop (min-width: 1200px);
@custom-media --media-min-grid-float-breakpoint (min-width: 768px);


@custom-media --media-max-sm (max-width: 768px);
@custom-media --media-max-phone (max-width: 767px);
@custom-media --media-max-tablet (max-width: 991px);
@custom-media --media-max-desktop (max-width: 1199px);

@custom-media --media-max-grid-float-breakpoint (max-width: 767px);

@custom-media --media-screen-min-phone only screen and (min-width: 480px);
@custom-media --media-screen-min-tablet only screen and (min-width: 768px);
@custom-media --media-screen-min-desktop only screen and (min-width: 992px);
@custom-media --media-screen-min-lg-desktop only screen and (min-width: 1200px);


@custom-media --media-phone (min-width: 320px) and (max-width: 768px);
@custom-media --media-tablet (min-width: 480px) and (max-width: 991px);
@custom-media --media-desktop (min-width: 992px) and (max-width: 1199px);
